# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: mhameed@src.gnome.org-20110602122656-e7tgs516ruwp3xq4
# target_branch: http://bzr.nvaccess.org/nvda/main/
# testament_sha1: 5a1d3afbc5e2759072a61d57dee08da8b4e3ca79
# timestamp: 2011-06-02 13:27:35 +0100
# base_revision_id: jamie@jantrid.net-20110530034208-a8o5a0p9dj65qfg4
# 
# Begin patch
=== modified file 'source/NVDAObjects/window/excel.py'
--- source/NVDAObjects/window/excel.py	2010-10-18 10:25:44 +0000
+++ source/NVDAObjects/window/excel.py	2011-06-02 12:26:56 +0000
@@ -18,6 +18,7 @@
 import winUser
 import controlTypes
 import speech
+import ui
 from . import Window
 from .. import NVDAObjectTextInfo
 import appModuleHandler
@@ -105,6 +106,18 @@
 		cell=self.excelWorksheetObject.cells(1,1)
 		return ExcelCell(windowHandle=self.windowHandle,excelWindowObject=self.excelWindowObject,excelCellObject=cell)
 
+	def script_changeSheet(self,gesture):
+		gesture.send()
+		selection=self.excelWindowObject.Selection
+		# User has changed sheet, so need to update our ref to it.
+		self.excelWorksheetObject = selection.parent
+		ui.message(self.excelWorksheetObject.name)
+		self.script_changeSelection(gesture)
+	script_changeSheet.canPropagate=True
+	# Translators: This is presented when the user wishes to know
+	# the functionality of this function.
+	script_changeSheet.__doc__ = _("Reads the sheet name changing sheet in excel.")
+
 	def script_changeSelection(self,gesture):
 		gesture.send()
 		selection=self.excelWindowObject.Selection
@@ -150,6 +163,9 @@
 	def initOverlayClass(self):
 		for gesture in self.__changeSelectionGestures:
 			self.bindGesture(gesture, "changeSelection")
+		self.bindGesture("kb:control+pageUp", "changeSheet")
+		self.bindGesture("kb:control+pageDown", "changeSheet")
+
 
 class ExcelCellTextInfo(NVDAObjectTextInfo):
 

# Begin bundle
IyBCYXphYXIgcmV2aXNpb24gYnVuZGxlIHY0CiMKQlpoOTFBWSZTWXv2lXEAAd1fgAAyWm//93fj
34C////wUAT9zu7nULnoDzLuddzwkkQTE0ZGmQm0g00zVNlMJ6jQxGmTJkGUIyYjTUehT0TQMmmQ
AAAAaAJJNJ6KYj1BJ4p6nqemoAB6gBoDQaAGKEamUbTapsmmmo00eppoDTTQA00AAJJRop+pqeyk
ekHqNNNBp6TTQPSAGgANEQEgkECwCCIghfsYVrpH6/BGEMMK7oIxbLK43pue67p33nYbq6P5OdT6
SOBl3fDKyZjLRYzjTKdpddlczzaT/Hor1auc7/612bQ39/HCJ3mXGfElklSlJxKR04/aL9sFm1tC
V1VNVTYuAlZlndkRqhIr06AoJCANBqEQMaBgbRNBbLW8Yb+jiGvWcmq2FWirMJYYFk5xTYpPTz0P
gxS3oBAJrDAm10xoBYpJC9ox2zvw3Jn56ctDyWJbxZffyG52uiSCW1tZrlAqyqTXIdBMYnFU+ejK
SdnaafATV30KaWruZBUfWbL9spoNBK6CBXaDPBMf0CJzOdryFincIMM6Mk0jOil1YYZYVseE6xIu
LETNUJzsmygpxgxe7iv2FpUDkK7O5qV+qimsxgPhItGC+qAbOHp23RENq8H7Aih7TWGHHIXCmE2M
0DCLMWwYWVRzgudM6JVGi8G3GJaSm0UBYFoKVUvBTW8HUbV6g8Ny5Z5YSkLXfGsKBRJaUCeeQmCb
IIEFCDm7kIHLWk/d1IN1L6yhCRiyMDV0sSqIyGMwvkzML6KH10Cncm25Dgtx5+D1rm6z6HvsaXjB
qws0TIdVkzQdovDJI1J1la5rM19tjxw7Lx6veoiUaX3PEngTM359h5jFGUeBrYxdTeBBjx7ZhSHB
zvI1rg/dHfCCOV7g1/R5TtMdymDfcpcZofkxUlHOTTQGLQu5mXtqJZk/X0nAM5PuXSvFF2mQ2js/
Z1m7GVbzKYiZzBaeaKFTqtuFoypQT7qCm04YIjYdcp8ajwSrNVXR8hltLICpagwivMMwDVEKs4RY
CS2yUvSqRWFr6YVEk87f50YXHSU99GOtrxEq5iKe3N0dBt+TFQ80l0Thkmig5NmYd9mivPuNot80
s1CtdpJXslCwUetV+w3hGDGyTJK6+8clpuozslVW3NiEZsscwRzc7X/JxCvYuQTNKmvpycUT8Tn8
sfj66ZKicb1LFQLImOli/RIG/uLuJPxqeTY3GluNg3OaexIXhmFQ1n60TipHOEPBtRMhV0hoKIXt
8aW4SdFYOQcAFhLABM43ohmKQQnTvzI/TQQohjo6JCyETDP1JtVOvlakKYGIN4q0TWX8FbqCphhm
bLUGUjTyhJVZVRJeUF2K8uNiGF7bRkHS7YRlHm4A8ISJSWaaZk0kZRVuvwSmISkogW7Uo9xAJtkZ
quMcHtQmraTExpwZ7EUAnEJyAONDglxnwvSkqZB1Z1vg2NcrclDLQlokEcbiBSyBjA5R6fqGXvTf
wk+A9Pjizi+qmkl+Cqm2FlolI3534oYrYpAkXcLT3qbTO6Z6Hhr6a0pkp4sK7GxxcAox6ywhbTOh
1DE+CVw9ozlopVgyK2MiKhcrpyCynqHudvY82c0MPJly6GK5VtKZ0wOlmEFbckHOS2YUouARCbTY
4Uol11zQgrI2DEBHOc12lk84tY814pBS3jtnLC+tFmCuVYsKhQq60cqolzXX7vEnHiyxQ+FwtmOp
kwUXcpyZ9grQBqBQb31JCQ2xgiz/F3JFOFCQe/aVcQ==
